#include <string>

#include "collection.h"
#include "taskmanager.h"
#include "loggger.h"

int main(int argc, char *argv[]) {
    std::string firstArg;
    std::string secondArg;
    if (argc > 1)
        firstArg = argv[1];
    else
        firstArg = "./";

    if (argc > 2)
        secondArg = argv[2];
    else
        secondArg = "./";


    std::shared_ptr<Logger> logger = std::make_shared<Logger>(Logger::Severity::debug);
    std::shared_ptr<TaskManager> taskManager = std::make_shared<TaskManager>(logger);
    std::shared_ptr<Collection> collection = std::make_shared<Collection>(secondArg, "", logger, taskManager);

    taskManager->start();
    collection->addSource(firstArg);

    taskManager->wait();
    taskManager->stop();

    // int result = -1;
    // if (success) {
    //     root.info("successfully parsed project " + root.getName());
    //     root.info("dependencies count is " + std::to_string(root.dependenciesCount()));
    //
    //     root.discover();
    //     result = 0;
    // }
    //
    // root.printLog();


    return 0;
}
